/*	comm.h
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#ifndef COMM_H
#define COMM_H

/* REVIEW: don't do as class -- so can #define func names like assert...
   have static fInit in comm.cpp...
   update code to use Debug(COMM comm;) */

class COMM
{
public:
	COMM();

	void TxCh(char ch) const;
	void TxSz(const char *psz) const;
	void TxSzCRLF(const char *psz) const;
	void TxNum(unsigned long val) const;	// show number
	void TxNumSigned(long val) const;		// show pos/neg number
	void TxByte(uchar val) const;			// show single byte, 0-padded
	void TxByteHex(uchar val) const;		// show single byte, in hexadecimal
	void TxSpc() const;
	void TxCRLF() const;

private:
	void Init() const;
	void TxDigitHex(uchar val) const;

	static char m_fInit;
};

#endif // COMM_H
