/*	debug.h
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#ifndef DEBUG_H
#define DEBUG_H

#ifdef TOO_MUCH_DATA_SPACE_USED
void AssertProc(char *pszMsg, char *pszFile, int line);
#define Assert(f) { if (!(f)) AssertProc(#f, __FILE__, __LINE__); }
#define AssertSz(f, sz) { if (!(f)) AssertProc((sz), __FILE__, __LINE__); }
#else

void AssertProc(char *pszFile, int line);

#ifdef DEBUG

#define Assert(f) { if (!(f)) AssertProc(__FILE__, __LINE__); }
#define Debug(x) x

#else

#define Assert(f) { }
#define Debug(x)

#endif // DEBUG

#endif // space...

#endif // DEBUG_H
